Package org.silverpeas.components.kmelia.repository

# Class TopicSearchJpaRepository

java.lang.Object
org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository<TopicSearch>
org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository<TopicSearch>
org.silverpeas.components.kmelia.repository.TopicSearchJpaRepository

All Implemented Interfaces:
  `TopicSearchRepository`, `org.silverpeas.core.persistence.datasource.repository.EntityRepository<TopicSearch>`, `org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush<TopicSearch>`

@Repository public class TopicSearchJpaRepository extends org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository<TopicSearch> implements TopicSearchRepository

Author:
  ebonnet

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TopicSearchJpaRepository()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TopicSearch>`
  `findByInstanceId(String instanceId)`
  Returns all TopicSearch from Repository with the given instanceId.

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.BasicJpaEntityRepository

  `deleteByComponentInstanceId, saveAndFlush`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.repository.jpa.AbstractJpaEntityRepository

  `contains, countByCriteria, countFromJpqlString, delete, deleteById, deleteFromJpqlQuery, deleteFromNamedQuery, findByCriteria, findByNamedQuery, findFirstByNamedQuery, flush, getAll, getById, getById, getEntityClass, getEntityManager, getFromJpqlString, getFromJpqlString, getFromNamedQuery, getFromNamedQuery, getIdentifierConverter, getMaximumItemsInClause, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromJpqlString, listFromNamedQuery, listFromNamedQuery, newNamedParameters, noParameter, save, setMaximumItemsInClause, split, streamByNamedQuery, streamByNamedQuery, streamFromJpqlString, streamFromJpqlString, updateFromJpqlQuery, updateFromNamedQuery`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.EntityRepository

  `contains, delete, delete, deleteByComponentInstanceId, deleteById, deleteById, findByCriteria, flush, getAll, getById, getById, getById, save, save, save`

  ### Methods inherited from interface org.silverpeas.core.persistence.datasource.repository.WithSaveAndFlush

  `saveAndFlush`

- ## Constructor Details

  - ### TopicSearchJpaRepository

    public TopicSearchJpaRepository()

- ## Method Details

  - ### findByInstanceId

    public List<TopicSearch> findByInstanceId(String instanceId)
    Description copied from interface: `TopicSearchRepository`
    Returns all TopicSearch from Repository with the given instanceId. This method will be translated into a query using the one declared in the `NamedQuery` annotation declared one.
    Specified by:
      `findByInstanceId` in interface `TopicSearchRepository`
    Parameters:
      `instanceId` - the application instance identifier
    Returns:
      list of TopicSearch